Subject: Re: bug#40323: 28.0.50; error in process filter: Invalid search bound (wrong side of point)

From: Jacob Lagares Pozo <[email-masked]>
Date: Mon, 20 Apr 2020 12:07:18 +0200

OK, I replaced the old function and now it outputs this:

|======================================================================
1 -> (comint-output-filter #<process slack> "[04/20/20, 12:00:53:017] 
info: Store: FOREGROUND_APP
")(:comint-pmark nil)
| 2 -> (set-marker #<marker at 34155 in *slack*> 34261)(:comint-pmark 
(#<marker at 34155 in *slack*> . #<marker at 34261 in *slack*>))
| 2 <- set-marker: #<marker at 34261 in *slack*>(:comint-pmark (#<marker 
at 34261 in *slack*> . #<marker at 34261 in *slack*>))
| 2 -> (set-marker #<marker at 34261 in *slack*> 34316)(:comint-pmark 
(#<marker at 34261 in *slack*> . #<marker at 34261 in *slack*>))
| 2 <- set-marker: #<marker at 34316 in *slack*>(:comint-pmark (#<marker 
at 34261 in *slack*> . #<marker at 34316 in *slack*>))
| 2 -> (ansi-color-process-output "[04/20/20, 12:00:53:017] info: Store: 
FOREGROUND_APP
")(:comint-pmark (#<marker at 34261 in *slack*> . #<marker at 34316 in 
*slack*>))
| 2 <- ansi-color-process-output: nil(:comint-pmark (#<marker at 34261 
in *slack*> . #<marker at 34316 in *slack*>))
| 2 -> (set-marker #<marker (moves after insertion) at 34316 in *slack*> 
34316)(:comint-pmark (#<marker at 34261 in *slack*> . #<marker at 34316 
in *slack*>))
| 2 <- set-marker: #<marker (moves after insertion) at 34316 in 
*slack*>(:comint-pmark (#<marker at 34261 in *slack*> . #<marker at 
34316 in *slack*>))
1 <- comint-output-filter: #<marker (moves after insertion) at 34316 in 
*slack*>(:comint-pmark nil)
|

I should probably make a simple program that prints a bunch of stuff and 
then hangs, so I can have predictable and reproducible output, that 
might help.

So what do you exactly mean by that the process is ending normally?

Jacob

On 2020-04-19 14:57, Noam Postavsky wrote:
> Jacob Lagares Pozo <[email-masked]> writes:
>
>> OK, not sure if this is what we want, but this is an example output
>> that looks interesting.
>>
>> If needed I'll dump the whole thing to a file, compress, it and post
>> it here.
>> *slack*<4>>(:comint-pmark #<marker at 238675 in *slack*<4>>)
>> 1 <- comint-output-filter: #<marker (moves after insertion) at 238675
>> in *slack*<4>>(:comint-pmark nil)
> I think this just shows the process ending normally.  And I made a
> mistake in the tracing function, better to see both markers, as in:
>
>      (defun bug-40323-get-comint-output-marker ()
>        (list :comint-pmark
>              (and (markerp comint-last-output-start)
>                   (eq (marker-buffer comint-last-output-start)
>                       (current-buffer))
>                   (cons
>                    comint-last-output-start
>                    (process-mark (get-buffer-process (current-buffer)))))))